Security Enhanced Linux Reference Policy

# Layer: services

## Module: exim

Tunables Interfaces

### Description:

Exim mail transfer agent

### Tunables:

exim_can_connect_db

##### Default value

false

##### Description

Allow exim to connect to databases (postgres, mysql)

exim_manage_user_files

##### Default value

false

##### Description

Allow exim to create, read, write, and delete unprivileged user files.

exim_read_user_files

##### Default value

false

##### Description

Allow exim to read unprivileged user files.

Return

### Interfaces:

exim_append_log( domain )

##### Summary

Allow the specified domain to append exim log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

exim_domtrans( domain )

##### Summary

Execute a domain transition to run exim.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

exim_dontaudit_read_tmp_files( domain )

##### Summary

Do not audit attempts to read, exim tmp files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

exim_manage_log( domain )

##### Summary

Allow the specified domain to manage exim's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_manage_spool_dirs( domain )

##### Summary

Create, read, write, and delete exim spool dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_manage_spool_files( domain )

##### Summary

Create, read, write, and delete exim spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_log( domain )

##### Summary

Allow the specified domain to read exim's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_pid_files( domain )

##### Summary

Read exim PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_spool_files( domain )

##### Summary

Read exim spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_tmp_files( domain )

##### Summary

Allow domain to read, exim tmp files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

Return